<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionDeployBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/ded/class_action_deploy_base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ActionDeployBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionDeployBase:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d6/ded/class_action_deploy_base.png" usemap="#ActionDeployBase_map" alt=""/>
  <map id="ActionDeployBase_map" name="ActionDeployBase_map">
<area href="../../d6/d3f/class_action_continuous_base.html" alt="ActionContinuousBase" shape="rect" coords="0,0,157,24"/>
<area href="../../df/dab/class_action_deploy_hunting_trap.html" alt="ActionDeployHuntingTrap" shape="rect" coords="0,112,157,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ac7fd1efe9221ac7220862ec19edfacb9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/ded/class_action_deploy_base.html#ac7fd1efe9221ac7220862ec19edfacb9">ActionDeployBase</a> ()</td></tr>
<tr class="separator:ac7fd1efe9221ac7220862ec19edfacb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6a41bdd40c01b485db20369997ab6ee"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/ded/class_action_deploy_base.html#ab6a41bdd40c01b485db20369997ab6ee">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:ab6a41bdd40c01b485db20369997ab6ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fc5abd4d4ec98f799b45125503b4db3"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/ded/class_action_deploy_base.html#a2fc5abd4d4ec98f799b45125503b4db3">HasTarget</a> ()</td></tr>
<tr class="separator:a2fc5abd4d4ec98f799b45125503b4db3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1492c1d485e95362056c1e2db997cf4"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/ded/class_action_deploy_base.html#ad1492c1d485e95362056c1e2db997cf4">HasProgress</a> ()</td></tr>
<tr class="separator:ad1492c1d485e95362056c1e2db997cf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74c6fff064f5b9026398ac7b5eb7b6b1"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/ded/class_action_deploy_base.html#a74c6fff064f5b9026398ac7b5eb7b6b1">CreateActionData</a> ()</td></tr>
<tr class="separator:a74c6fff064f5b9026398ac7b5eb7b6b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a422a86697a64cfcc65be2cda5a38fb2f"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/ded/class_action_deploy_base.html#a422a86697a64cfcc65be2cda5a38fb2f">OnFinishProgressServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a422a86697a64cfcc65be2cda5a38fb2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e96e9813a34ff245dbe93312f51124d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/ded/class_action_deploy_base.html#a5e96e9813a34ff245dbe93312f51124d">MoveEntityToFinalPosition</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data, <a class="el" href="../../d7/dfc/classvector.html">vector</a> position, <a class="el" href="../../d7/dfc/classvector.html">vector</a> orientation)</td></tr>
<tr class="separator:a5e96e9813a34ff245dbe93312f51124d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade4f60737d47207083b0534903fe7c03"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/ded/class_action_deploy_base.html#ade4f60737d47207083b0534903fe7c03">MoveEntityToFinalPositionSinglePlayer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data, <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> source, <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> destination)</td></tr>
<tr class="separator:ade4f60737d47207083b0534903fe7c03"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a7f19e376a50bb590a4f3b3d118f3dbee"><td class="memItemLeft" align="right" valign="top">protected const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/ded/class_action_deploy_base.html#a7f19e376a50bb590a4f3b3d118f3dbee">POSITION_OFFSET</a> = 0.5</td></tr>
<tr class="separator:a7f19e376a50bb590a4f3b3d118f3dbee"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dc/d94/_action_deploy_base_8c_source.html#l00026">26</a> of file <a class="el" href="../../dc/d94/_action_deploy_base_8c_source.html">ActionDeployBase.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac7fd1efe9221ac7220862ec19edfacb9" name="ac7fd1efe9221ac7220862ec19edfacb9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7fd1efe9221ac7220862ec19edfacb9">&#9670;&#160;</a></span>ActionDeployBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionDeployBase::ActionDeployBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/_action_deploy_base_8c_source.html#l00030">30</a> of file <a class="el" href="../../dc/d94/_action_deploy_base_8c_source.html">ActionDeployBase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a74c6fff064f5b9026398ac7b5eb7b6b1" name="a74c6fff064f5b9026398ac7b5eb7b6b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74c6fff064f5b9026398ac7b5eb7b6b1">&#9670;&#160;</a></span>CreateActionData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> ActionDeployBase::CreateActionData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/_action_deploy_base_8c_source.html#l00054">54</a> of file <a class="el" href="../../dc/d94/_action_deploy_base_8c_source.html">ActionDeployBase.c</a>.</p>

</div>
</div>
<a id="ab6a41bdd40c01b485db20369997ab6ee" name="ab6a41bdd40c01b485db20369997ab6ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6a41bdd40c01b485db20369997ab6ee">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDeployBase::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/_action_deploy_base_8c_source.html#l00038">38</a> of file <a class="el" href="../../dc/d94/_action_deploy_base_8c_source.html">ActionDeployBase.c</a>.</p>

</div>
</div>
<a id="ad1492c1d485e95362056c1e2db997cf4" name="ad1492c1d485e95362056c1e2db997cf4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1492c1d485e95362056c1e2db997cf4">&#9670;&#160;</a></span>HasProgress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionDeployBase::HasProgress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/_action_deploy_base_8c_source.html#l00049">49</a> of file <a class="el" href="../../dc/d94/_action_deploy_base_8c_source.html">ActionDeployBase.c</a>.</p>

</div>
</div>
<a id="a2fc5abd4d4ec98f799b45125503b4db3" name="a2fc5abd4d4ec98f799b45125503b4db3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2fc5abd4d4ec98f799b45125503b4db3">&#9670;&#160;</a></span>HasTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionDeployBase::HasTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/_action_deploy_base_8c_source.html#l00044">44</a> of file <a class="el" href="../../dc/d94/_action_deploy_base_8c_source.html">ActionDeployBase.c</a>.</p>

</div>
</div>
<a id="a5e96e9813a34ff245dbe93312f51124d" name="a5e96e9813a34ff245dbe93312f51124d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e96e9813a34ff245dbe93312f51124d">&#9670;&#160;</a></span>MoveEntityToFinalPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionDeployBase::MoveEntityToFinalPosition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>orientation</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/_action_deploy_base_8c_source.html#l00108">108</a> of file <a class="el" href="../../dc/d94/_action_deploy_base_8c_source.html">ActionDeployBase.c</a>.</p>

</div>
</div>
<a id="ade4f60737d47207083b0534903fe7c03" name="ade4f60737d47207083b0534903fe7c03"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade4f60737d47207083b0534903fe7c03">&#9670;&#160;</a></span>MoveEntityToFinalPositionSinglePlayer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionDeployBase::MoveEntityToFinalPositionSinglePlayer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>source</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>destination</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/_action_deploy_base_8c_source.html#l00137">137</a> of file <a class="el" href="../../dc/d94/_action_deploy_base_8c_source.html">ActionDeployBase.c</a>.</p>

</div>
</div>
<a id="a422a86697a64cfcc65be2cda5a38fb2f" name="a422a86697a64cfcc65be2cda5a38fb2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a422a86697a64cfcc65be2cda5a38fb2f">&#9670;&#160;</a></span>OnFinishProgressServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDeployBase::OnFinishProgressServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/_action_deploy_base_8c_source.html#l00060">60</a> of file <a class="el" href="../../dc/d94/_action_deploy_base_8c_source.html">ActionDeployBase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a7f19e376a50bb590a4f3b3d118f3dbee" name="a7f19e376a50bb590a4f3b3d118f3dbee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f19e376a50bb590a4f3b3d118f3dbee">&#9670;&#160;</a></span>POSITION_OFFSET</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected const <a class="el" href="../../d4/dc3/classfloat.html">float</a> ActionDeployBase::POSITION_OFFSET = 0.5</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/_action_deploy_base_8c_source.html#l00028">28</a> of file <a class="el" href="../../dc/d94/_action_deploy_base_8c_source.html">ActionDeployBase.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/DeployActions/<a class="el" href="../../dc/d94/_action_deploy_base_8c_source.html">ActionDeployBase.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d6/ded/class_action_deploy_base.html">ActionDeployBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
